Subject: Re: [Lsr] draft-ietf-isis-mpls-elc-07

From: Uma Chunduri <[email-masked]>
Date: Tue, 10 Sep 2019 18:20:50 +0000

Though [I-D.ietf-mpls-spring-entropy-label<https://tools.ietf.org/html/draft-ietf-isis-mpls-elc-08#ref-I-D.ietf-mpls-spring-entropy-label>] is been referred in the introduction of this draft the point of dual semantics (readable depth + action) for this MSD is not coming out clear in this document.

It would be useful to specify the same.

--
Uma C.

From: Les Ginsberg (ginsberg) <[email-masked]>
Sent: Wednesday, August 28, 2019 1:59 PM
To: Acee Lindem (acee) <[email-masked]>; Uma Chunduri <[email-masked]>; [email-masked]
Subject: RE: [Lsr] draft-ietf-isis-mpls-elc-07

Point taken…

  Les

From: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, August 28, 2019 1:56 PM
To: Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>; Uma Chunduri <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Lsr] draft-ietf-isis-mpls-elc-07

Les,

Then what you meant in your response was, “generic RLD” as opposed to “generic MSD”.

Thanks,
Acee

From: "Les Ginsberg (ginsberg)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, August 28, 2019 at 4:46 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, Uma Chunduri <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Lsr] draft-ietf-isis-mpls-elc-07

Acee –

I do understand the question – and I believe the reference I cited provides the answer. You need to read the referenced draft.

If you have a cogent argument why it is safe to assume that the combination of actions required to support EL translate to any other type of activity that might be required on a label stack, please make it. Then Uma’s suggestion might make sense.

   Les

From: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, August 28, 2019 1:34 PM
To: Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>; Uma Chunduri <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Lsr] draft-ietf-isis-mpls-elc-07

Hi Les,
I think the question is whether there can be a single RLD depth MSD rather than a RLD solely for entropy label discovery.
Thanks,
Acee

From: Lsr <[email-masked]<mailto:[email-masked]>> on behalf of "Les Ginsberg (ginsberg)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, August 28, 2019 at 4:29 PM
To: Uma Chunduri <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] draft-ietf-isis-mpls-elc-07

Uma –

Please read https://tools.ietf.org/html/draft-ietf-mpls-spring-entropy-label-12#section-4<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-mpls-spring-entropy-label-12%23section-4&data=02%7C01%7Cuma.chunduri%40futurewei.com%7Cff6dd7fc7f384fa669f808d72bfa923b%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637026227508613167&sdata=jN5BbkqK3%2FuLOyfIf7nhm4cX8wKxy%2FudEDUMR6NX9ag%3D&reserved=0>

In short, we do not assume that EL Load Balancing can be performed for generic MSD.

Thanx.

   Les

From: Lsr <[email-masked]<mailto:[email-masked]>> On Behalf Of Uma Chunduri
Sent: Wednesday, August 28, 2019 11:38 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [Lsr] draft-ietf-isis-mpls-elc-07

Can anybody tell what was the conclusion (if any) in previous discussions in various WGs on why the readable label depth in an LSR has to be entropy label specific ?

IOW can we just modify this as “readable label depth” as opposed to “entropy readable label depth” ?
This would allow any other special purpose label inserted in the stack and would be at par with current MSD type “Base MPLS Imposition MSD” ( https://www.iana.org/assignments/igp-parameters/igp-parameters.xhtml<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.iana.org%2Fassignments%2Figp-parameters%2Figp-parameters.xhtml&data=02%7C01%7Cuma.chunduri%40futurewei.com%7Cff6dd7fc7f384fa669f808d72bfa923b%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637026227508623162&sdata=GYeLpP05mnwKBOxC2tJJ1wxkwcm%2Bip401xzFgIdE1ME%3D&reserved=0> ).

--
Uma C.